Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class JSFSecurityContext

    java.lang.Object
      org.jboss.portal.faces.component.portlet.JSFSecurityContext

All Implemented Interfaces:
  org.jboss.portal.portlet.spi.SecurityContext

    public class JSFSecurityContext

extends java.lang.Object
implements org.jboss.portal.portlet.spi.SecurityContext

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`JSFSecurityContext(javax.faces.context.FacesContext faces)`

Method Summary
`java.lang.String` | `getAuthType()`
`java.lang.String` | `getRemoteUser()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isAuthenticated()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String roleName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSFSecurityContext

    public JSFSecurityContext(javax.faces.context.FacesContext faces)

Method Detail

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `org.jboss.portal.portlet.spi.SecurityContext`

### isAuthenticated

    public boolean isAuthenticated()

  Specified by:
    `isAuthenticated` in interface `org.jboss.portal.portlet.spi.SecurityContext`

### getAuthType

    public java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `org.jboss.portal.portlet.spi.SecurityContext`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `org.jboss.portal.portlet.spi.SecurityContext`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `org.jboss.portal.portlet.spi.SecurityContext`

### isUserInRole

    public boolean isUserInRole(java.lang.String roleName)

  Specified by:
    `isUserInRole` in interface `org.jboss.portal.portlet.spi.SecurityContext`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD